.menu {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.burger-icon {
  cursor: pointer;
  width: 4em;
  height: auto;
  padding: 1rem;
}

.menu-items {
  position: absolute;
  top: 100%;
  right: 1rem;

  max-height: 0;
  margin: 10px;
  padding: 0;
  border-radius: 5px;
  list-style: none;
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transition: max-height 0.3s ease-out, opacity 0.3s ease-out;
  opacity: 0;
}

.menu-items * {
  white-space: nowrap;
}

.menu-items.open {
  max-height: initial;
  opacity: 1;
}

.menu-items li a,
.menu-items li a:visited {
  display: block;
  padding: 10px 20px;
  transition: background-color 0.3s ease;
  text-decoration: none;
  color: #333;
  font-size: 1.2em;
}

.menu-items li a.active {
  background-color: var(--pink);
  color: white;
}

.menu-items li:hover {
  background-color: rgba(0, 0, 0, 0.1);
}
